{
  "totalFiles": 412,
  "trackedFiles": 412,
  "compressedFiles": 400,
  "failedFiles": 12,
  "originalBytes": 35496648,
  "compressedBytes": 9295657,
  "savedBytes": 26200991,
  "failures": [
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/index/sc_icon_gamebroad_lv4_bg.webp",
      "message": "Shrink failed (400): Image could not be decoded."
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/index/sc_icon_gamebroad_lv2_bg.webp",
      "message": "Shrink failed (400): Image could not be decoded."
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/index/sc_icon_gamebroad_lv3_bg.webp",
      "message": "Shrink failed (400): Image could not be decoded."
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/index/sc_icon_gamebroad_lv5_bg.webp",
      "message": "Shrink failed (400): Image could not be decoded."
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/index/sc_icon_gamebroad_lv1_bg.webp",
      "message": "Shrink failed (400): Image could not be decoded."
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_room_vip6_sonic_anim.webp",
      "message": "Shrink failed (400): Image could not be decoded."
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_room_vip3_sonic_anim.webp",
      "message": "Shrink failed (400): Image could not be decoded."
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_luckgift_coins_anim.webp",
      "message": "Shrink failed (400): Image could not be decoded."
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_room_vip5_sonic_anim.webp",
      "message": "Shrink failed (400): Image could not be decoded."
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/general/sc_icon_loading.webp",
      "message": "Shrink failed (400): Image could not be decoded."
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_room_vip4_sonic_anim.webp",
      "message": "Shrink failed (400): Image could not be decoded."
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_rps_animal.webp",
      "message": "Shrink failed (400): Image could not be decoded."
    }
  ],
  "topSavings": [
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/person/sc_icon_edit_userinfo_bg.png",
      "originalSize": 2640776,
      "compressedSize": 436823,
      "savedBytes": 2203953,
      "ratio": 0.16541129420359293
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/splash/sc_splash.png",
      "originalSize": 2373335,
      "compressedSize": 379804,
      "savedBytes": 1993531,
      "ratio": 0.1600335400795844
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_room_defaut_bg.png",
      "originalSize": 2243222,
      "compressedSize": 704696,
      "savedBytes": 1538526,
      "ratio": 0.3141
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/index/sc_icon_index_bg.png",
      "originalSize": 1422169,
      "compressedSize": 420635,
      "savedBytes": 1001534,
      "ratio": 0.2958
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/index/sc_icon_medals_bg.png",
      "originalSize": 709366,
      "compressedSize": 181712,
      "savedBytes": 527654,
      "ratio": 0.2562
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_room_task_rule_bg.png",
      "originalSize": 680955,
      "compressedSize": 168665,
      "savedBytes": 512290,
      "ratio": 0.2477
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/level/sc_icon_user_level_center_bg_1.png",
      "originalSize": 565256,
      "compressedSize": 95294,
      "savedBytes": 469962,
      "ratio": 0.1686
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/person/sc_icon_my_head_bg_defalt.png",
      "originalSize": 599816,
      "compressedSize": 129984,
      "savedBytes": 469832,
      "ratio": 0.2167
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/level/sc_icon_user_level_center_bg_2.png",
      "originalSize": 552863,
      "compressedSize": 99316,
      "savedBytes": 453547,
      "ratio": 0.1796
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/level/sc_icon_user_wealth_center_bg_2.png",
      "originalSize": 557458,
      "compressedSize": 107272,
      "savedBytes": 450186,
      "ratio": 0.1924
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/index/sc_icon_task_head_bg.png",
      "originalSize": 615700,
      "compressedSize": 180813,
      "savedBytes": 434887,
      "ratio": 0.2937
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/level/sc_icon_user_wealth_center_bg_1.png",
      "originalSize": 521981,
      "compressedSize": 90132,
      "savedBytes": 431849,
      "ratio": 0.1727
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_luck_gift_float_bg5.png",
      "originalSize": 501355,
      "compressedSize": 113292,
      "savedBytes": 388063,
      "ratio": 0.226
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_luck_gift_float_bg4.png",
      "originalSize": 478509,
      "compressedSize": 112026,
      "savedBytes": 366483,
      "ratio": 0.2341
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_emoji_vip4_6_bg.png",
      "originalSize": 497274,
      "compressedSize": 135808,
      "savedBytes": 361466,
      "ratio": 0.2731
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_room_music_contrl_bg.png",
      "originalSize": 498223,
      "compressedSize": 150025,
      "savedBytes": 348198,
      "ratio": 0.3011
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/login/sc_icon_login_edit_data_bg.png",
      "originalSize": 412832,
      "compressedSize": 86426,
      "savedBytes": 326406,
      "ratio": 0.2093
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_rps_3.png",
      "originalSize": 430701,
      "compressedSize": 117750,
      "savedBytes": 312951,
      "ratio": 0.2734
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_luck_gift_float_bg3.png",
      "originalSize": 377040,
      "compressedSize": 80836,
      "savedBytes": 296204,
      "ratio": 0.2144
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_emoji_vip1_3_bg.png",
      "originalSize": 402093,
      "compressedSize": 108798,
      "savedBytes": 293295,
      "ratio": 0.2706
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/index/sc_index_msg_content_bg.png",
      "originalSize": 344220,
      "compressedSize": 70303,
      "savedBytes": 273917,
      "ratio": 0.2042
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/index/sc_icon_wallet_bg.png",
      "originalSize": 380555,
      "compressedSize": 108400,
      "savedBytes": 272155,
      "ratio": 0.2848
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_room_task_list_item_bg.png",
      "originalSize": 358516,
      "compressedSize": 87362,
      "savedBytes": 271154,
      "ratio": 0.2437
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/index/sc_icon_honor_userinfo_bg.png",
      "originalSize": 392450,
      "compressedSize": 124139,
      "savedBytes": 268311,
      "ratio": 0.3163
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/person/sc_icon_send_cp_requst_dialog_content.png",
      "originalSize": 405302,
      "compressedSize": 151340,
      "savedBytes": 253962,
      "ratio": 0.3734
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_rps_2.png",
      "originalSize": 346282,
      "compressedSize": 96021,
      "savedBytes": 250261,
      "ratio": 0.2773
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_game_king_week_bg.png",
      "originalSize": 341672,
      "compressedSize": 91458,
      "savedBytes": 250214,
      "ratio": 0.2677
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_game_king_day_bg.png",
      "originalSize": 341303,
      "compressedSize": 91098,
      "savedBytes": 250205,
      "ratio": 0.2669
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/index/sc_icon_leader_spinner_room_bg.png",
      "originalSize": 335187,
      "compressedSize": 88446,
      "savedBytes": 246741,
      "ratio": 0.2639
    },
    {
      "filePath": "/Users/nigger/Documents/GitHub/chatapp3-flutter/sc_images/room/sc_icon_rps_1.png",
      "originalSize": 335629,
      "compressedSize": 93318,
      "savedBytes": 242311,
      "ratio": 0.278
    }
  ]
}
